Subject: bug#65523: package [email-masked]' has an invalid input: ("_" #<syntax-transformer pkg-config>)

From: Josselin Poiret <[email-masked]>
Date: Sat, 02 Sep 2023 09:48:45 +0200

Hi Paul,

Paul Alesius <[email-masked]> writes:

> In the source code directory of Guix, when trying to build a package from
> gnu/packages/python-xyz.scm, it fails with the following error:
>
> guix build: error:
> /storage/src/guix/guix-gnu/guix/build-system/gnu.scm:146:8: package
> [email-masked]' has an invalid input: ("_" #<syntax-transformer pkg-config>)

Usually, if you see `#<syntax-transformer ...>` anywhere in an error,
that means that something that used to be just a variable was turned
into a macro, but the other modules using it weren't recompiled
(reminder that macro expansion happens at compilation time).  This
happens because Guile doesn't have any dependency tracking!  You can
work around this by recompiling all files containing a reference to
pkg-config, I usually do `grep -Rl pkg-config --include '*.go' . | xargs
rm`, followed by `make`.

Best,
-- 
Josselin Poiret